> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminal Transactions



## OpenAPI

````yaml openapi.json get /terminal/transactions
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /terminal/transactions:
    parameters: []
    get:
      tags:
        - Branches
        - Virtual Terminal
        - Agent Operations
      summary: Terminal Transactions
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '50'
          schema:
            type: integer
        - name: startDate
          in: query
          required: false
          schema:
            type: string
        - name: endDate
          in: query
          required: false
          schema:
            type: string
        - name: type
          in: query
          required: false
          schema:
            type: string
        - name: category
          in: query
          required: false
          schema:
            type: string
        - name: terminalId
          in: query
          required: false
          example: 3d06119f-1a61-49a4-8be9-e0e7917a9340
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '129'
            ETag:
              schema:
                type: string
              example: W/"81-H71yLL89h0pmqpbSqcM4T/lLlF8"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 08 Jan 2025 12:43:36 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Terminal Transactions - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            amount:
                              type: integer
                            charges:
                              type: integer
                            reference:
                              type: string
                            category:
                              type: string
                            sessionId:
                              type: string
                              format: utc-millisec
                            description:
                              type: string
                            settledAmount:
                              type: integer
                            createdAt:
                              type: string
                              format: date-time
                            paidAt:
                              type: string
                              format: date-time
                            userId:
                              type: string
                            storeId:
                              type: string
                            narration:
                              type: string
                            storeName:
                              type: string
                            terminalId:
                              type: string
                            walletType:
                              type: string
                            channelCode:
                              type: string
                              format: utc-millisec
                            terminalName:
                              type: string
                            originatorBankCode:
                              type: string
                              format: color
                            originatorBankName:
                              type: string
                            beneficiaryBankCode:
                              type: string
                              format: color
                            beneficiaryBankName:
                              type: string
                            transactionReference:
                              type: string
                            originatorAccountName:
                              type: string
                            beneficiaryAccountName:
                              type: string
                            originatorAccountNumber:
                              type: string
                              format: utc-millisec
                            beneficiaryAccountNumber:
                              type: string
                              format: utc-millisec
                            originatorBankVerificationNumber:
                              type: string
                            beneficiaryBankVerificationNumber:
                              type: string
              example:
                status: true
                message: Operation is successful
                data:
                  size: 50
                  page: 1
                  totalRecords: 2
                  totalPages: 1
                  transactions:
                    - id: 9b1793eb-af0b-4923-8915-be7e634cb3cc
                      type: CREDIT
                      status: SUCCESS
                      amount: 15000
                      charges: 275
                      reference: AeBk2hJpYltEfojcUWLsDvV8DTuNxjsuzrPU
                      category: BANK_FUNDING
                      sessionId: '999270250103172223723249419791'
                      description: ₦15,000.00 received from Emmanuel
                      settledAmount: 14725
                      createdAt: '2025-01-03T16:22:58.016Z'
                      paidAt: '2025-01-03T16:22:23.800Z'
                      userId: 57238fc4-6214-45c7-9b57-91d4ec2bee31
                      storeId: 9ab67f41-10c9-4f52-adfc-31f460980966
                      narration: Sandbox Account funding.
                      storeName: Lambe Shop
                      terminalId: 00319ac9-ab60-48be-9604-fc62004b0f55
                      walletType: STATIC
                      channelCode: '2'
                      terminalName: Lambe 01
                      originatorBankCode: '999270'
                      originatorBankName: Monieswitch Test Bank
                      beneficiaryBankCode: '999270'
                      beneficiaryBankName: XpressWallet
                      transactionReference: AeBk2hJpYltEfojcUWLsDvV8DTuNxjsuzrPU
                      originatorAccountName: Emmanuel
                      beneficiaryAccountName: Neyosoft/Lambe 01
                      originatorAccountNumber: '0167421242'
                      beneficiaryAccountNumber: '4404963015'
                      originatorBankVerificationNumber: ''
                      beneficiaryBankVerificationNumber: ''
                    - id: 69d87c73-4dbb-48dd-b8fc-4fafd184084d
                      type: CREDIT
                      status: SUCCESS
                      amount: 10000
                      charges: 200
                      reference: DFe14z9T8eNzoPX7NVdNSbJX8pjS8sUpxK4O
                      category: BANK_FUNDING
                      sessionId: '999270241231102355227720695103'
                      description: ₦10,000.00 received from Emmanuel
                      settledAmount: 9800
                      createdAt: '2024-12-31T09:23:56.685Z'
                      paidAt: '2024-12-31T09:23:55.076Z'
                      userId: 57238fc4-6214-45c7-9b57-91d4ec2bee31
                      storeId: 9ab67f41-10c9-4f52-adfc-31f460980966
                      narration: Sandbox Account funding.
                      storeName: Lambe Shop
                      terminalId: 00319ac9-ab60-48be-9604-fc62004b0f55
                      walletType: STATIC
                      channelCode: '2'
                      terminalName: Lambe 01
                      originatorBankCode: '999270'
                      originatorBankName: Monieswitch Test Bank
                      beneficiaryBankCode: '999270'
                      beneficiaryBankName: XpressWallet
                      transactionReference: DFe14z9T8eNzoPX7NVdNSbJX8pjS8sUpxK4O
                      originatorAccountName: Emmanuel
                      beneficiaryAccountName: Neyosoft/Lambe 01
                      originatorAccountNumber: '0167421242'
                      beneficiaryAccountNumber: '4404963015'
                      originatorBankVerificationNumber: ''
                      beneficiaryBankVerificationNumber: ''
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````